// put the cursor, call the script, then put the cursor in another place again, call the script again, check clipboard
// поставте курсор, вызовите скрипт, потом снова поставте курсор в друго место, снова вызовите скрипт, проверте буфер обмена

var nSelStart = AkelPad.GetSelStart();
var nSelEnd = AkelPad.GetSelEnd();
if (nSelStart !== nSelEnd) {
	WScript.Echo("don't select text.");
	WScript.Quit();
}
var pClipboardText = AkelPad.GetClipboardText(true); // можно без true
if (/^->\d+$/m.test(pClipboardText)) {
	// var re = new RegExp('^->(\d+)', 'm');
	// num = re.exec(pClipboardText);
	var num = pClipboardText.match(/^->(\d+)$/m);
	num = parseInt(num[1]);
	// WScript.Echo(nSelStart + '\n' + num[1]);
	// WScript.Echo(typeof(nSelStart) + '\n' + typeof(num));
	AkelPad.SetSel(nSelStart, num, 0x008 /* AESELT_LOCKSCROLL */ );
	AkelPad.SetClipboardText('');
} else {
	AkelPad.SetClipboardText('->' + nSelStart);
}